Skip to main content
GET
/
preApprovals
/
versions
/
{id}
Get Pre Approval version
curl --request GET \
  --url https://commerce.driv.ly/api/preApprovals/versions/{id} \
  --header 'Authorization: <api-key>'
{
  "version": {
    "updatedAt": "<string>",
    "createdAt": "<string>",
    "customer": 123,
    "title": "<string>",
    "status": "Processing",
    "firstName": "<string>",
    "middleInitial": "<string>",
    "lastName": "<string>",
    "suffix": "JR",
    "address": "<string>",
    "city": "<string>",
    "state": "AA",
    "zip": "<string>",
    "phone": "<string>",
    "email": "<string>",
    "income": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "isp": "<string>",
    "sessionId": "<string>",
    "resend": "<string>",
    "AppId": 123,
    "segmentationBand": "Excellent (750-900)",
    "estimatedInterestRate": "<string>",
    "estimatedLoanTerm": "<string>",
    "lead": 123
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

id of the Pre Approval version

Query Parameters

depth
number<int32>

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

sort
string

sort by field

limit
number<int32>

limit the returned documents to a certain number

page
number<int32>

get a specific page of documents

Response

ok

version
PreApproval · object
required
createdAt
string
required
updatedAt
string
required